<template>
  <div class="sign-up-success-section">
    <div class="wrap-content position-relative py-5">
      <img
        src="@/assets/img/game_overlay.png"
        class="position-absolute top-0 start-0 w-100"
        style="height: 100%; object-fit: cover; z-index: -1;"
      />
      <div class="content-section container">
        <div class="row justify-content-center">
          <div class="col col-11 col-lg-7">
            <div class="form-wrap py-4 py-lg-5 px-4 px-lg-5">
              <h2 class="text-danger fw-bold text-center mb-3 mb-lg-5">Congratulations, <br />you've signed up!</h2>
              <h2 class="mb-3 text-danger fw-bold">Step 2</h2>
              <p class="mb-3">Install MyStarWallet to receive awards directly from Bit StorageBox!</p>
              <div class="mb-4 d-flex justify-content-center align-items-center">
                <img
                  src="@/assets/img/appstore-ic.png"
                  class="me-3"
                  style="width: 120px; height: 120px; object-fit: contain; cursor: pointer;"
                  @click="hanldeGoQr('appstore')"
                />
                <img
                  src="@/assets/img/ggplay-ic.png"
                  style="width: 105px; height: 105px; object-fit: contain; cursor: pointer;"
                  @click="hanldeGoQr('ggplay')"
                />
              </div>
              <div class="d-flex justify-content-center align-items-center pt-3 pb-5" style="cursor: pointer;" @click="hanldeClickSkip">
                <p class="text-danger m-0">Skip this, I'll install later</p>
                <i class="fas fa-chevron-right ms-2 text-danger"></i>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
    };
  },
  methods: {
    hanldeClickSkip() {
      this.$router.push("/").catch(() => {});
    },
    hanldeGoQr(platform) {
      this.$router.push(`/scan-qr-app/${platform}`).catch(() => {});
    }
  },
  mounted() {}
};
</script>

<style scoped>
.wrap-content {
  min-height: 100vh;
}
.form-wrap {
  background: #fff;
  border-radius: 32px;
}
#username,
#cf-password,
#name,
#password {
  border-top: none;
  border-left: none;
  border-right: none;
  border-radius: 0;
}

@media screen and (max-width: 991px) {
  i {
    font-size: 22px !important;
  }
  .brand-img img {
    width: 42px !important;
  }
  .remember-me label {
    font-size: 14px !important;
  }
}
</style>
